# utm - uGT Trigger Menu library

# example of a manual installation as an external library of CMSSW and test of the installation
```{r, engine='bash', count_lines}
cmsrel CMSSW_9_0_0
cd CMSSW_9_0_0
cmsenv
git clone https://gitlab.cern.ch/tmatsush/utm.git
cd utm
git fetch
git checkout Xerces31
scram tool info xerces-c
export XERCES_C_BASE=<XERCES_C_BASE directory printed by the above command>
scram tool info boost
export BOOST_BASE=<BOOST_BASE directory printed by the above command>
make -f Makefile.standalone all
make -f Makefile.standalone install
cd ../src
tar xvfz /afs/cern.ch/user/t/tmatsush/public/Demo.tgz
edit Demo/tmEventSetup/test/utm.xml
# change UTM_BASE according to your setup
cp Demo/tmEventSetup/test/utm.xml ../config/toolbox/${SCRAM_ARCH}/tools/selected/
scram setup utm
scram b -j4
../test/${SCRAM_ARCH}/test -f /afs/cern.ch/user/t/tmatsush/public/L1MenuTest/test_indexing_overlap_removal.xml
```

* [API document](http://cern.ch/takashi/utm-api-doc/namespacetmeventsetup.html)
* [XSD document](http://cern.ch/takashi/utm-xsd-doc/index.html)
* [Available algorithms](https://twiki.cern.ch/twiki/bin/view/CMS/GlobalTriggerUTM)
